texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5934] test for history after incremental search


From: Gavin D. Smith
Subject: [5934] test for history after incremental search
Date: Tue, 18 Nov 2014 17:20:26 +0000

Revision: 5934
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5934
Author:   gavin
Date:     2014-11-18 17:20:25 +0000 (Tue, 18 Nov 2014)
Log Message:
-----------
test for history after incremental search

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/info/Makefile.am

Added Paths:
-----------
    trunk/info/t/inc-sea-history.sh
    trunk/info/t/infodir/inc-sea-history.info

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog     2014-11-18 16:56:47 UTC (rev 5933)
+++ trunk/ChangeLog     2014-11-18 17:20:25 UTC (rev 5934)
@@ -7,6 +7,8 @@
        (info_search_in_node_internal): Remove unnecessary conditional 
        checks.
 
+       * info/t/inc-sea-history.sh: New test.
+
 2014-11-17  Gavin Smith  <address@hidden>
 
        * info/dir.c (dir_entry_of_infodir): Don't free a node too 

Modified: trunk/info/Makefile.am
===================================================================
--- trunk/info/Makefile.am      2014-11-18 16:56:47 UTC (rev 5933)
+++ trunk/info/Makefile.am      2014-11-18 17:20:25 UTC (rev 5934)
@@ -139,6 +139,7 @@
        t/inc-sea-forward.sh \
        t/inc-sea-forward-nonregex.sh \
        t/inc-sea-insensitive.sh \
+       t/inc-sea-history.sh \
        t/gc-split.sh \
        t/anchor-positions.sh \
        t/quoted-label-as-target.sh \

Added: trunk/info/t/inc-sea-history.sh
===================================================================
--- trunk/info/t/inc-sea-history.sh                             (rev 0)
+++ trunk/info/t/inc-sea-history.sh     2014-11-18 17:20:25 UTC (rev 5934)
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+. $t/Init-inter.inc
+
+run_ginfo -f inc-sea-history
+# Check that we go back to the right node after an incremental search
+printf '\02301234\b4\b\b34\b\bqwerty\b\b\b\b\b\b34' >$PTY_TYPE
+printf '\rD' >$PTY_TYPE
+
+# Check we reached node with "01234" in it
+sleep 1
+grep 'Node: Four' $GINFO_OUTPUT
+RETVAL=$?
+
+printf 'lDq' >$PTY_TYPE
+. $t/Timeout-test.inc
+
+if test $RETVAL = 0
+then
+       grep 'Node: Top' $GINFO_OUTPUT
+       RETVAL=$?
+fi
+
+. $t/Cleanup.inc
+


Property changes on: trunk/info/t/inc-sea-history.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/info/t/infodir/inc-sea-history.info
===================================================================
(Binary files differ)


Property changes on: trunk/info/t/infodir/inc-sea-history.info
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream




reply via email to

[Prev in Thread] Current Thread [Next in Thread]